package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 实时同步任务提交结果
 *
 * @author Bellamy
 * @since 2021-01-05 14:18:00
 */
public class DmpRealtimeSyncSubmitResult implements Serializable {

    private static final long serialVersionUID = 2075639970822903705L;

    private Long submitResultId;

    private String uuid;

    /**
     * 提交结果
     */
    private String submitResult;

    /**
     * source:源 connector,tartget:目标connector
     */
    private Integer type;

    /**
     * 创建时间
     */
    private Date createdTime;

    private String typeStr;

    /**
     * 处理状态:1 待提交,2:提交中，3:提交成功,4:提交失败
     */
    private Integer status;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getSubmitResult() {
        return submitResult;
    }

    public void setSubmitResult(String submitResult) {
        this.submitResult = submitResult;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTypeStr() {
        return typeStr;
    }

    public void setTypeStr(String typeStr) {
        this.typeStr = typeStr;
    }

    public Long getSubmitResultId() {
        return submitResultId;
    }

    public void setSubmitResultId(Long submitResultId) {
        this.submitResultId = submitResultId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}
